Set schedules
curl --request POST \
--url https://cloud.heat-solutions.com/api/v1/public/sites/{siteId}/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schedules": [
{
"asset": "grid",
"type": "upperLimitkW",
"entries": [
{
"startAt": "2026-06-01T08:00:00Z",
"endAt": "2026-06-01T10:00:00Z",
"value": 50
}
]
},
{
"asset": "grid",
"type": "lowerLimitkW",
"entries": [
{
"startAt": "2026-06-01T08:00:00Z",
"endAt": "2026-06-01T10:00:00Z",
"value": -20
}
]
},
{
"asset": "grid",
"type": "activePowerkW",
"entries": [
{
"startAt": "2026-06-01T10:00:00Z",
"endAt": "2026-06-01T12:00:00Z",
"value": 30
}
]
},
{
"asset": "bess",
"type": "activePowerkW",
"entries": [
{
"startAt": "2026-06-01T08:00:00Z",
"endAt": "2026-06-01T10:00:00Z",
"value": -50
}
]
},
{
"asset": "bess",
"type": "optimalSocPcnt",
"entries": [
{
"startAt": "2026-06-01T10:00:00Z",
"endAt": "2026-06-01T12:00:00Z",
"value": 80
}
]
},
{
"asset": "solar",
"type": "solarCurtailmentPcnt",
"entries": [
{
"startAt": "2026-06-01T08:00:00Z",
"endAt": "2026-06-01T12:00:00Z",
"value": 10
}
]
}
]
}
'import requests
url = "https://cloud.heat-solutions.com/api/v1/public/sites/{siteId}/schedules"
payload = { "schedules": [
{
"asset": "grid",
"type": "upperLimitkW",
"entries": [
{
"startAt": "2026-06-01T08:00:00Z",
"endAt": "2026-06-01T10:00:00Z",
"value": 50
}
]
},
{
"asset": "grid",
"type": "lowerLimitkW",
"entries": [
{
"startAt": "2026-06-01T08:00:00Z",
"endAt": "2026-06-01T10:00:00Z",
"value": -20
}
]
},
{
"asset": "grid",
"type": "activePowerkW",
"entries": [
{
"startAt": "2026-06-01T10:00:00Z",
"endAt": "2026-06-01T12:00:00Z",
"value": 30
}
]
},
{
"asset": "bess",
"type": "activePowerkW",
"entries": [
{
"startAt": "2026-06-01T08:00:00Z",
"endAt": "2026-06-01T10:00:00Z",
"value": -50
}
]
},
{
"asset": "bess",
"type": "optimalSocPcnt",
"entries": [
{
"startAt": "2026-06-01T10:00:00Z",
"endAt": "2026-06-01T12:00:00Z",
"value": 80
}
]
},
{
"asset": "solar",
"type": "solarCurtailmentPcnt",
"entries": [
{
"startAt": "2026-06-01T08:00:00Z",
"endAt": "2026-06-01T12:00:00Z",
"value": 10
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schedules: [
{
asset: 'grid',
type: 'upperLimitkW',
entries: [{startAt: '2026-06-01T08:00:00Z', endAt: '2026-06-01T10:00:00Z', value: 50}]
},
{
asset: 'grid',
type: 'lowerLimitkW',
entries: [{startAt: '2026-06-01T08:00:00Z', endAt: '2026-06-01T10:00:00Z', value: -20}]
},
{
asset: 'grid',
type: 'activePowerkW',
entries: [{startAt: '2026-06-01T10:00:00Z', endAt: '2026-06-01T12:00:00Z', value: 30}]
},
{
asset: 'bess',
type: 'activePowerkW',
entries: [{startAt: '2026-06-01T08:00:00Z', endAt: '2026-06-01T10:00:00Z', value: -50}]
},
{
asset: 'bess',
type: 'optimalSocPcnt',
entries: [{startAt: '2026-06-01T10:00:00Z', endAt: '2026-06-01T12:00:00Z', value: 80}]
},
{
asset: 'solar',
type: 'solarCurtailmentPcnt',
entries: [{startAt: '2026-06-01T08:00:00Z', endAt: '2026-06-01T12:00:00Z', value: 10}]
}
]
})
};
fetch('https://cloud.heat-solutions.com/api/v1/public/sites/{siteId}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"batchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accepted": 123
}{
"error": "bad_request",
"message": "Duplicate asset/type combination in schedule batch"
}{
"error": "unauthorized",
"message": "Missing or invalid API key"
}{
"error": "forbidden",
"message": "API key does not have access to this site"
}{
"error": "not_found",
"message": "Site not found"
}{
"error": "internal_server_error",
"message": "Failed to create schedule batch"
}Set all scheduled commands for a site. See the schedules guide for detailed documentation.
POST
/
api
/
v1
/
public
/
sites
/
{siteId}
/
schedules
Set schedules
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
UUID of the target site
Body
application/json
List of asset schedule commands. Each asset/type combination must appear at most once.
Required array length:
1 - 10 elementsShow child attributes
Show child attributes